org.keycloak.representations.idm.authorization

## Class AbstractPolicyRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation

- Direct Known Subclasses:
    AggregatePolicyRepresentation, ClientPolicyRepresentation, ClientScopePolicyRepresentation, GroupPolicyRepresentation, JSPolicyRepresentation, PolicyRepresentation, RegexPolicyRepresentation, ResourcePermissionRepresentation, RolePolicyRepresentation, ScopePermissionRepresentation, TimePolicyRepresentation, UmaPermissionRepresentation, UserPolicyRepresentation

      public class AbstractPolicyRepresentation
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPolicyRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPolicy(String... id)`
    `void` | `addResource(String id)`
    `void` | `addScope(String... id)`
    `boolean` | `equals(Object o)`
    `DecisionStrategy` | `getDecisionStrategy()`
    `String` | `getDescription()`
    `String` | `getId()`
    `Logic` | `getLogic()`
    `String` | `getName()`
    `String` | `getOwner()`
    `Set<String>` | `getPolicies()`
    `Set<String>` | `getResources()`
    `Set<ResourceRepresentation>` | `getResourcesData()`
    `Set<String>` | `getScopes()`
    `Set<ScopeRepresentation>` | `getScopesData()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `removePolicy(String policy)`
    `void` | `removeScope(String scope)`
    `void` | `setDecisionStrategy(DecisionStrategy decisionStrategy)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setLogic(Logic logic)`
    `void` | `setName(String name)`
    `void` | `setOwner(String owner)`
    `void` | `setPolicies(Set<String> policies)`
    `void` | `setResources(Set<String> resources)`
    `<R> void` | `setResourcesData(Set<ResourceRepresentation> resources)`
    `void` | `setScopes(Set<String> scopes)`
    `void` | `setScopesData(Set<ScopeRepresentation> scopesData)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPolicyRepresentation

          public AbstractPolicyRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDecisionStrategy

          public DecisionStrategy getDecisionStrategy()

    - #### setDecisionStrategy

          public void setDecisionStrategy(DecisionStrategy decisionStrategy)

    - #### getLogic

          public Logic getLogic()

    - #### setLogic

          public void setLogic(Logic logic)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getPolicies

          public Set<String> getPolicies()

    - #### setPolicies

          public void setPolicies(Set<String> policies)

    - #### addPolicy

          public void addPolicy(String... id)

    - #### removePolicy

          public void removePolicy(String policy)

    - #### getResources

          public Set<String> getResources()

    - #### setResources

          public void setResources(Set<String> resources)

    - #### addResource

          public void addResource(String id)

    - #### getScopes

          public Set<String> getScopes()

    - #### setScopes

          public void setScopes(Set<String> scopes)

    - #### addScope

          public void addScope(String... id)

    - #### removeScope

          public void removeScope(String scope)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setResourcesData

          public <R> void setResourcesData(Set<ResourceRepresentation> resources)

    - #### getResourcesData

          public Set<ResourceRepresentation> getResourcesData()

    - #### setScopesData

          public void setScopesData(Set<ScopeRepresentation> scopesData)

    - #### getScopesData

          public Set<ScopeRepresentation> getScopesData()

Copyright © 2021 JBoss by Red Hat. All rights reserved.